package org.tzambalayev.ideaplugins.tabswitch;

import java.awt.Color;
import javax.swing.Icon;

final class FileEntry {

    private final Icon icon;
    private final Color statusColor;

    FileEntry(Icon icon, Color statusColor) {
        this.icon = icon;
        this.statusColor = statusColor;
    }

    Icon getIcon() {
        return icon;
    }

    Color getStatusColor() {
        return statusColor;
    }

}
