package org.intellij.codeInsight.intention;

import java.util.ArrayList;
import java.util.List;

final class AriadnaIntentionManager extends IntentionManager {

    private final List intentionsList = new ArrayList();

    private IntentionAction[] intentionActions;

    public void addAction(IntentionAction intentionAction) {
        intentionsList.add(intentionAction);
        intentionActions = (IntentionAction[]) intentionsList.toArray(new IntentionAction[intentionsList.size()]);
    }

    public IntentionAction[] getIntentionActions() {
        return intentionActions;
    }

}
