package org.intellij.openapi.actionSystem;

import com.intellij.openapi.actionSystem.DataContext;

abstract class DataContextDelegate implements DataContext {

    private final DataContext dataContext;

    DataContextDelegate(DataContext dataContext) {
        this.dataContext = dataContext;
    }

    public final Object getData(String dataId) {
        return dataContext.getData(dataId);
    }

}
