package org.intellij.openapi.application;

import com.intellij.openapi.application.ApplicationInfo;

abstract class ApplicationInfoDelegate extends ApplicationInfoUnsupportedAdapter {

    private final ApplicationInfo applicationInfo;

    ApplicationInfoDelegate(ApplicationInfo applicationInfo) {
        this.applicationInfo = applicationInfo;
    }

    public final String getBuildNumber() {
        return applicationInfo.getBuildNumber();
    }

}
