package org.intellij.openapi.application;

import java.util.Calendar;

import com.intellij.openapi.application.ApplicationInfo;

abstract class ApplicationInfoUnsupportedAdapter extends ApplicationInfo {

    private String getClassName() {
        return getClass().getName();
    }

    public String getBuildNumber() {
        throw new UnsupportedOperationException(getClassName());
    }

    public Calendar getBuildDate() {
        throw new UnsupportedOperationException(getClassName());
    }

    public String getMajorVersion() {
        throw new UnsupportedOperationException(getClassName());
    }

    public String getMinorVersion() {
        throw new UnsupportedOperationException(getClassName());
    }

    public String getVersionName() {
        throw new UnsupportedOperationException(getClassName());
    }

}
