package org.intellij.openapi.application;

import com.intellij.openapi.application.ApplicationInfo;

public final class ApplicationInfoWrapper extends ApplicationInfoDelegate {

    private static final ApplicationInfoWrapper APPLICATION_INFO_WRAPPER =
            new ApplicationInfoWrapper(ApplicationInfo.getInstance());

    private ApplicationInfoWrapper(ApplicationInfo applicationInfo) {
        super(applicationInfo);
    }

    public static ApplicationInfoWrapper getWrapperInstance() {
        return APPLICATION_INFO_WRAPPER;
    }

    public int buildNumber() {
        return Integer.parseInt(getBuildNumber());
    }

    public boolean isAriadna() {
        return buildNumber() < 800;
    }

}
