package org.intellij.openapi.command;

import com.intellij.openapi.command.CommandProcessor;

abstract class CommandProcessorDelegate extends CommandProcessorUnsupportedAdapter {

    private final CommandProcessor commandProcessor;

    CommandProcessorDelegate(CommandProcessor commandProcessor) {
        this.commandProcessor = commandProcessor;
    }

    final CommandProcessor getCommandProcessor() {
        return commandProcessor;
    }

    public final String getCurrentCommandName() {
        return commandProcessor.getCurrentCommandName();
    }

}
