package org.intellij.openapi.components;

import com.intellij.openapi.util.JDOMExternalizable;
import org.jdom.Element;

import org.intellij.openapi.util.externalizer.JDOMExternalizer;

public abstract class ExternalizableApplicationComponent extends ApplicationComponentAdapter implements JDOMExternalizable {

    public final void readExternal(Element element) {
        JDOMExternalizer.readExternal(this, element);
    }

    public final void writeExternal(Element element) {
        JDOMExternalizer.writeExternal(this, element);
    }

}
