package org.intellij.openapi.components;

import org.intellij.openapi.actionSystem.ActionManagerUtil;

public abstract class RedefinedProjectComponent extends ProjectComponentAdapter {

    private void registerPluginActions() {
        ActionManagerUtil.registerActions(getPluginActionIds(), getRegularActionIds());
    }

    protected abstract String[] getPluginActionIds();

    protected abstract String[] getRegularActionIds();

    public void projectOpened() {
        registerPluginActions();
    }

}
