package org.intellij.openapi.editor;

public class LineRange {

    private final int startLineNumber;
    private final int endLineNumber;

    protected LineRange(int startLineNumber, int endLineNumber) {
        this.startLineNumber = startLineNumber;
        this.endLineNumber = endLineNumber;
    }

    public final int getStartLineNumber() {
        return startLineNumber;
    }

    public final int getEndLineNumber() {
        return endLineNumber;
    }

}
