package org.intellij.util;

final class ObjectUtil {

    private ObjectUtil() {
    }

    static boolean equals(Object object1, Object object2) {
        if (object1 == object2) {
            return true;
        }
        if (object1 == null || object2 == null) {
            return false;
        }
        return object1.equals(object2);
    }

}
