package org.intellij.codeInsight.intention;

import com.intellij.openapi.editor.Editor;
import com.intellij.openapi.project.Project;
import com.intellij.psi.PsiFile;
import com.intellij.util.IncorrectOperationException;

public interface IntentionAction {

    String getText();

    String getFamilyName();

    boolean isAvailable(Project project, Editor editor, PsiFile psiFile);

    void invoke(Project project, Editor editor, PsiFile psiFile) throws IncorrectOperationException;

}
