package org.intellij.openapi.util;

import com.intellij.openapi.util.UserDataHolder;

public abstract class UserDataHolderUnsupportedAdapter implements UserDataHolder {

    protected String getClassName() {
        return getClass().getName();
    }

    public Object getUserData(Object key) {
        throw new UnsupportedOperationException(getClassName());
    }

    public void putUserData(Object key, Object value) {
        throw new UnsupportedOperationException(getClassName());
    }

}
