package org.intellij.openapi.util.externalizer;

final class ValueFactory {

    private ValueFactory() {
    }

    static Value getValue(Class type) {
        Value value;
        if (type.isPrimitive()) {
            if (type == boolean.class) {
                value = new BooleanValue();
            } else if (type == int.class) {
                value = new IntValue();
            } else {
                throw new UnsupportedOperationException();
            }
        } else {
            throw new UnsupportedOperationException();
        }
        return value;
    }

}
