package org.intellij.psi;

import com.intellij.openapi.project.Project;
import com.intellij.psi.PsiDocumentManager;

final class AuroraPsiDocumentManagerWrapper extends PsiDocumentManagerWrapper {

    private final PsiDocumentManager psiDocumentManager;

    AuroraPsiDocumentManagerWrapper(Project project) {
        psiDocumentManager = PsiDocumentManager.getInstance(project);
    }

    public void commitAllDocuments() {
        psiDocumentManager.commitAllDocuments();
    }

}
