package org.intellij.util;

import java.util.Collection;
import java.util.Iterator;

public final class ArrayUtil {

    private ArrayUtil() {
    }

    public static int[] toIntArray(Collection intCollection) {
        int[] array = new int[intCollection.size()];
        int i = 0;
        for (Iterator iterator = intCollection.iterator(); iterator.hasNext();) {
            array[i++] = ((Integer) iterator.next()).intValue();
        }
        return array;
    }

    /*
    public static int find(Object[] objects, Object obj) {
        int index = -1;
        for (int i = 0; i < objects.length; i++) {
            if (ObjectUtil.equals(objects[i], obj)) {
                index = i;
                break;
            }
        }
        return index;
    }

    */
}
