package org.intellij.openapi.util.externalizer;

import junit.framework.TestCase;

import org.intellij.openapi.util.externalizer.foo.BooleanFooFactory;
import org.intellij.openapi.util.externalizer.foo.IntFooFactory;

public final class JDOMWriterTest extends TestCase {

    public void testBooleanField() {
        FieldItem[] fieldItems = JDOMWriter.getFieldItems(BooleanFooFactory.getInstance(true));
        assertEquals(1, fieldItems.length);
        FieldItem fieldItem = fieldItems[0];
        assertEquals("active", fieldItem.getName());
        assertEquals("true", fieldItem.getText());
    }

    public void testIntField() {
        FieldItem[] fieldItems = JDOMWriter.getFieldItems(IntFooFactory.getInstance(35));
        assertEquals(1, fieldItems.length);
        FieldItem fieldItem = fieldItems[0];
        assertEquals("historyLimit", fieldItem.getName());
        assertEquals("35", fieldItem.getText());
    }

}
