package org.intellij.openapi.util.publictest;

import junit.framework.TestCase;

import org.intellij.openapi.util.OffsetRange;

public final class OffsetRangeTest extends TestCase {

    public void testIsGreaterOrEquals() {
        OffsetRange offsetRange = new OffsetRange(1, 5);
        assertEquals(true, offsetRange.isGreaterOrEquals(new OffsetRange(1, 5)));
        assertEquals(false, offsetRange.isGreaterOrEquals(new OffsetRange(0, 6)));
        assertEquals(true, offsetRange.isGreaterOrEquals(new OffsetRange(2, 4)));
        assertEquals(false, offsetRange.isGreaterOrEquals(new OffsetRange(0, 2)));
    }

    public void testIsLess() {
        OffsetRange offsetRange = new OffsetRange(0, 2);
        assertEquals(true, offsetRange.isLess(new OffsetRange(0, 4)));
    }

}
